### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata.dav

# Class DAVPerson

java.lang.Object
com.sas.services.information.metadata.dav.DAVEntity
com.sas.services.information.metadata.dav.DAVFolder
com.sas.services.information.metadata.dav.DAVPerson

All Implemented Interfaces:
  `AttributesInterface`, `DAVEntityInterface`, `DAVFolderInterface`, `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class DAVPerson extends DAVFolder
This class represents a user/person and reflects a collection in the DAV store which acts as an anchor for all the personal folders and personal repository information. For example, a user with userid Joe might have a personal anchor something like `http://host:port/Users/Joe`. The DAV resource has the SAS resourcetype set to "person"

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sas.services.information.metadata.dav.DAVEntity

  `_acl, _descAttribute, _fullUrl, _name, _nameAttribute, _objectClass, _properties, _repos, _reposId, _resource, _schemaProperties, aclList, content, hasBeenFetched, LOCAL, UNSET`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DAVPerson(RepositoryData entity)`
  Creates a new DAVPerson from the information in the entity
  `DAVPerson(RepositoryInterface repos, String reposId)`
  Creates a new DAVPerson for the entity with a repository id `reposId` in the repository `repos`

- ## Method Summary

  ### Methods inherited from class com.sas.services.information.metadata.dav.DAVFolder

  `addEntity, createFolder, createFolder, createItem, createItem, getEntities, getItem, getItems, refresh, refresh, setItems`

  ### Methods inherited from class com.sas.services.information.metadata.dav.DAVEntity

  `addAccessControlEntry, addAttribute, addAttributes, addUpdateMultiple, addUpdateSingle, clearLocalLists, commitUpdates, copy, delete, deleteAttribute, deleteAttributes, fetchEntity, getAccessControlList, getACL, getAttribute, getAttributes, getCreateDate, getDAVResource, getDescription, getFolder, getGUID, getModifyDate, getName, getObjectClass, getProperties, getRemarksKeys, getRemoveUpdates, getReposId, getRepository, getSetUpdates, getType, getUpdateableACL, getUrl, getURL, isCollection, isDeleted, isUpdatePending, move, refresh, removeAccessControlEntry, setAccessControls, setACL, setAttribute, setAttributes, setContentClass, setDeleted, setDescription, setGUID, setName, setRemarksKeys, setReposId, setRepository, toString, update`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.sas.services.information.metadata.dav.AttributesInterface

  `addAttribute, addAttributes, deleteAttribute, deleteAttributes, getAttribute, getAttributes, setAttribute, setAttributes`

  ### Methods inherited from interface com.sas.services.information.metadata.dav.DAVEntityInterface

  `addAccessControlEntry, copy, delete, getAccessControlList, getACL, getCreateDate, getDAVResource, getDescription, getFolder, getGUID, getModifyDate, getName, getProperties, getRemarksKeys, getRemoveUpdates, getReposId, getRepository, getSetUpdates, getType, getUpdateableACL, getUrl, getURL, isCollection, isDeleted, isUpdatePending, move, refresh, removeAccessControlEntry, setACL, setContentClass, setDeleted, setDescription, setGUID, setName, setRemarksKeys, setReposId, update`

- ## Constructor Details

  - ### DAVPerson

    public DAVPerson(RepositoryInterface repos, String reposId)
    Creates a new DAVPerson for the entity with a repository id `reposId` in the repository `repos`

  - ### DAVPerson

    public DAVPerson(RepositoryData entity)
    Creates a new DAVPerson from the information in the entity